From 3f09eb24ee4845e1399a87ce36bb0f6ddd4b8bf9 Mon Sep 17 00:00:00 2001
From: Hannes Domani <ssbssa@yahoo.de>
Date: Wed, 10 Sep 2014 13:01:07 +0200
Subject: [PATCH] transcode: don't vlc_join() twice

---
 modules/stream_out/transcode/video.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/modules/stream_out/transcode/video.c b/modules/stream_out/transcode/video.c
index baad2b6..3a28b24 100644
--- a/modules/stream_out/transcode/video.c
+++ b/modules/stream_out/transcode/video.c
@@ -627,7 +627,8 @@ void transcode_video_close( sout_stream_t *p_stream,
         vlc_cond_signal( &p_stream->p_sys->cond );
         vlc_mutex_unlock( &p_stream->p_sys->lock_out );
 
-        vlc_join( p_stream->p_sys->thread, NULL );
+        if( p_stream->p_sys->thread )
+          vlc_join( p_stream->p_sys->thread, NULL );
         vlc_mutex_destroy( &p_stream->p_sys->lock_out );
         vlc_cond_destroy( &p_stream->p_sys->cond );
 
@@ -815,6 +816,7 @@ int transcode_video_process( sout_stream_t *p_stream, sout_stream_id_sys_t *id,
             vlc_mutex_unlock( &p_stream->p_sys->lock_out );
 
             vlc_join( p_stream->p_sys->thread, NULL );
+            p_stream->p_sys->thread = NULL;
             vlc_mutex_lock( &p_sys->lock_out );
             *out = p_sys->p_buffers;
             p_sys->p_buffers = NULL;
-- 
1.8.5.2.msysgit.0

